package com.yuda.paperstudentconfig.exception;

import com.yuda.paperstudentconfig.utils.ResponseResult;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

@RestControllerAdvice
public class GlobalExceptionHandler {

    @ExceptionHandler(Exception.class)
    public ResponseResult handleException(Exception e) {
        // 返回友好的错误信息
        return ResponseResult.fail(500, "系统异常，请联系相关客服人员");
    }

}